Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class PassageSelectionPane.CustomPassageListener

    java.lang.Object
      org.crosswire.bibledesktop.book.PassageSelectionPane.CustomPassageListener

All Implemented Interfaces:
  EventListener, org.crosswire.jsword.passage.PassageListener

Enclosing class:
  PassageSelectionPane

     class PassageSelectionPane.CustomPassageListener

extends Object
implements org.crosswire.jsword.passage.PassageListener

To update the textbox when the passage changes

Constructor Summary
`PassageSelectionPane.CustomPassageListener()`

Method Summary
`void` | `versesAdded(org.crosswire.jsword.passage.PassageEvent ev)`
`void` | `versesChanged(org.crosswire.jsword.passage.PassageEvent ev)`
`void` | `versesRemoved(org.crosswire.jsword.passage.PassageEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassageSelectionPane.CustomPassageListener

    PassageSelectionPane.CustomPassageListener()

Method Detail

### versesAdded

    public void versesAdded(org.crosswire.jsword.passage.PassageEvent ev)

  Specified by:
    `versesAdded` in interface `org.crosswire.jsword.passage.PassageListener`

### versesRemoved

    public void versesRemoved(org.crosswire.jsword.passage.PassageEvent ev)

  Specified by:
    `versesRemoved` in interface `org.crosswire.jsword.passage.PassageListener`

### versesChanged

    public void versesChanged(org.crosswire.jsword.passage.PassageEvent ev)

  Specified by:
    `versesChanged` in interface `org.crosswire.jsword.passage.PassageListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD